## com.baidubce.services.lss.model
Class AuthInfo

    java.lang.Object
      com.baidubce.services.lss.model.AuthInfo

    public class AuthInfo

extends Object

Constructor Summary
`AuthInfo()`

Method Summary
`String` `getKey()`
`Boolean` `getPlay()`
`Boolean` `getPush()`
`void` `setKey(String key)`
`void` `setPlay(Boolean play)`
`void` `setPush(Boolean push)`
`String` `toString()`
`AuthInfo` `withKey(String key)`
`AuthInfo` `withPlay(Boolean play)`
`AuthInfo` `withPush(Boolean push)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthInfo

    public AuthInfo()

Method Detail

### getPush

    public Boolean getPush()

### setPush

    public void setPush(Boolean push)

### withPush

    public AuthInfo withPush(Boolean push)

### getPlay

    public Boolean getPlay()

### setPlay

    public void setPlay(Boolean play)

### withPlay

    public AuthInfo withPlay(Boolean play)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public AuthInfo withKey(String key)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.